| Elektra 0.11.0

Classes | Namespaces
toolexcept.hpp File Reference

Implementation of all exceptions elektratools library might throw. More...

`#include <memory>`
`#include <stdexcept>`
`#include <kdbio.hpp>`

## Classes
struct | kdb::tools::ToolException
| All exceptions from the elektratools library are derived from this exception. More...

## Namespaces
namespace | kdb
| This is the main namespace for the C++ binding and libraries.
namespace | kdb::tools
| This namespace is for the libtool library.

## Detailed Description

Implementation of all exceptions elektratools library might throw.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)